Bug 62335 - Need way to prevent new windows from grabbing focus
Need way to prevent new windows from grabbing focus
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Aaron Brown
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-03-29 15:02 EST by Rob Hughes
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-15 09:36:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob Hughes 2002-03-29 15:02:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020314

Description of problem:
There needs to be a global setting somewhere in the UI that prevents new windows
from grabbing the focus.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Do some work
2.Hit enter at the wrong time
3.Cancel or launch something you really didn't want to

Actual Results:  Bad things

Expected Results:  Good things

Additional info:

This may turn out to be a political issue, but about the only thing I actually
like from the win2k/xp UI is the ability to tell it not to allow new windows to
grab focus. Since I seldom only do one thing at a time on any of my boxes,
having new windows popping up and grabbing focus causes more problems than I can
count, since it invariably happens right as I'm hitting enter. Then I have to
dig through log to try to figure out what I just cancelled, launched, whatever.
It comes down to, linux is supposed to be a great multi-tasking environment, but
this kind of kills it since its hard to run more than on app on the desktop at
at time due to the above issue.
Comment 1 Bill Nottingham 2002-03-31 12:07:50 EST
Assigning to sawfish.
Comment 2 Havoc Pennington 2002-03-31 15:44:41 EST
Sawfish has this feature, it's in the preferences somewhere. It's called "focus
new windows on map" or something. Let us know if that resolves the issue.
Comment 3 Rob Hughes 2002-03-31 19:38:56 EST
I don't use gnome as a desktop, so is there something like this for KDE? If not,
is it possible to pass this on the KDE team. If there is, its hidden well since
as far as I can ascertain, I've examined all the options available.
Comment 4 Havoc Pennington 2002-03-31 19:44:04 EST
Ah, you need a kwin feature then. Moving.
Comment 5 Rob Hughes 2002-03-31 22:26:44 EST
Ahhh...thanks. The gnome options do provide the desired functionality, so I
guess this can be re-prhrased as "can we get this in KDE as well?".
Comment 6 Petr Rockai 2005-02-15 09:36:34 EST
KWin 3.3 (present in fedora core 3) implements focus stealing prevention. 

Note You need to log in before you can comment on or make changes to this bug.